proc try_exec args {
	catch [linsert $args 0 exec] ret
	return $ret
	}
	
proc pgrep {stat comm} {
	set ps /mod/bin/ps
	if {[file executable $ps]} {
		lappend ps -A -opid,user,vsz,stat,command
	} else {
		set ps {/bin/ps}
	}
	foreach psln [split [eval try_exec $ps] "\n"] {
		if {[scan $psln "%u %*s %*u %*1\[$stat\]%*c%*c %n" pid idx] == 2} {
			set cmd [string range $psln $idx end]
			if {[string match "*$comm" $cmd]} {
				return $pid
				}
			}
		}
	return -1
	}
	
proc is_radiossoff {} {
	return [expr {[pgrep RS radio_ss_off] > 0}]
	}

proc radio_ss_off {onOff} {
    # onOff: true=> On, false=> Off
    set init /mod/etc/init.d/S99radio-ss-off
    set flag /mod/etc/radio-ss-off_enabled
    # first set/clear flag, known to the init.d routine
    catch {if {$onOff} {close [open $flag w]} else {file delete $flag}}
    # apply the desired state
    return [expr {! [catch {exec $init [expr {$onOff ? {start}: {stop}}] }]}]
}
